com.google.gwt.dom.builder.shared

## Class HtmlTableBuilder

- java.lang.Object
- - com.google.gwt.dom.builder.shared.AbstractElementBuilderBase<R>
  - - com.google.gwt.dom.builder.shared.HtmlElementBuilderBase<TableBuilder>
    - - com.google.gwt.dom.builder.shared.HtmlTableBuilder

All Implemented Interfaces:
  ElementBuilderBase<TableBuilder>, TableBuilder

    public class HtmlTableBuilder
    extends HtmlElementBuilderBase<TableBuilder>
    implements TableBuilder

HTML-based implementation of `TableBuilder`.

### Field Summary

### Fields inherited from interface com.google.gwt.dom.builder.shared.TableBuilder

`UNSUPPORTED_HTML`

### Constructor Summary

Constructors
Constructor and Description
`HtmlTableBuilder(HtmlBuilderImpl delegate)`

### Method Summary

All Methods Instance Methods Concrete Methods
`TableBuilder` `border(int border)` The width of the border around the table.
`TableBuilder` `cellPadding(int cellPadding)` Specifies the horizontal and vertical space between cell content and cell borders.
`TableBuilder` `cellSpacing(int cellSpacing)` Specifies the horizontal and vertical separation between cells.
`TableBuilder` `frame(java.lang.String frame)` Specifies which external table borders to render.
`TableBuilder` `html(SafeHtml html)` Append html within the node.
`TableBuilder` `rules(java.lang.String rules)` Specifies which internal table borders to render.
`TableBuilder` `text(java.lang.String text)` Append text within the node.
`TableBuilder` `width(java.lang.String width)` Specifies the desired table width.

### Methods inherited from class com.google.gwt.dom.builder.shared.HtmlElementBuilderBase

`asSafeHtml, attribute, attribute, className, dir, draggable, endTitle, id, lang, startAnchor, startArea, startAudio, startBase, startBlockQuote, startBody, startBR, startButtonInput, startCanvas, startCheckboxInput, startCol, startColGroup, startDiv, startDList, startFieldSet, startFileInput, startForm, startFrame, startFrameSet, startH1, startH2, startH3, startH4, startH5, startH6, startHead, startHiddenInput, startHR, startIFrame, startImage, startImageInput, startLabel, startLegend, startLI, startLink, startMap, startMeta, startOList, startOptGroup, startOption, startParagraph, startParam, startPasswordInput, startPre, startPushButton, startQuote, startRadioInput, startResetButton, startResetInput, startScript, startSelect, startSource, startSpan, startStyle, startSubmitButton, startSubmitInput, startTable, startTableCaption, startTBody, startTD, startTextArea, startTextInput, startTFoot, startTH, startTHead, startTitle, startTR, startUList, startVideo, tabIndex, title, trustedAttribute, trustedAttribute, trustedStart`

### Methods inherited from class com.google.gwt.dom.builder.shared.AbstractElementBuilderBase

`end, end, endAnchor, endArea, endAudio, endBase, endBlockQuote, endBody, endBR, endButton, endCanvas, endCol, endColGroup, endDiv, endDList, endFieldSet, endForm, endFrame, endFrameSet, endH1, endH2, endH3, endH4, endH5, endH6, endHead, endHR, endIFrame, endImage, endInput, endLabel, endLegend, endLI, endLink, endMap, endMeta, endOList, endOptGroup, endOption, endParagraph, endParam, endPre, endQuote, endScript, endSelect, endSource, endSpan, endStyle, endTable, endTableCaption, endTBody, endTD, endTextArea, endTFoot, endTH, endTHead, endTR, endUList, endVideo, finish, getDepth, getReturnBuilder, isChildElementSupported, isEndTagForbidden, style`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.google.gwt.dom.builder.shared.ElementBuilderBase

`attribute, attribute, className, dir, draggable, end, end, endAnchor, endArea, endAudio, endBase, endBlockQuote, endBody, endBR, endButton, endCanvas, endCol, endColGroup, endDiv, endDList, endFieldSet, endForm, endFrame, endFrameSet, endH1, endH2, endH3, endH4, endH5, endH6, endHead, endHR, endIFrame, endImage, endInput, endLabel, endLegend, endLI, endLink, endMap, endMeta, endOList, endOptGroup, endOption, endParagraph, endParam, endPre, endQuote, endScript, endSelect, endSource, endSpan, endStyle, endTable, endTableCaption, endTBody, endTD, endTextArea, endTFoot, endTH, endTHead, endTR, endUList, endVideo, finish, getDepth, id, isChildElementSupported, isEndTagForbidden, lang, startAnchor, startArea, startAudio, startBase, startBlockQuote, startBody, startBR, startButtonInput, startCanvas, startCheckboxInput, startCol, startColGroup, startDiv, startDList, startFieldSet, startFileInput, startForm, startFrame, startFrameSet, startH1, startH2, startH3, startH4, startH5, startH6, startHead, startHiddenInput, startHR, startIFrame, startImage, startImageInput, startLabel, startLegend, startLI, startLink, startMap, startMeta, startOList, startOptGroup, startOption, startParagraph, startParam, startPasswordInput, startPre, startPushButton, startQuote, startRadioInput, startResetButton, startResetInput, startScript, startSelect, startSource, startSpan, startStyle, startSubmitButton, startSubmitInput, startTable, startTableCaption, startTBody, startTD, startTextArea, startTextInput, startTFoot, startTH, startTHead, startTR, startUList, startVideo, style, tabIndex, title, trustedStart`

### Constructor Detail

#### HtmlTableBuilder

    HtmlTableBuilder(HtmlBuilderImpl delegate)

### Method Detail

#### border

    public TableBuilder border(int border)

Description copied from interface: `TableBuilder`
The width of the border around the table.

Specified by:
  `border` in interface `TableBuilder`
See Also:
  W3C HTML Specification

#### cellPadding

    public TableBuilder cellPadding(int cellPadding)

Description copied from interface: `TableBuilder`
Specifies the horizontal and vertical space between cell content and cell borders.

Specified by:
  `cellPadding` in interface `TableBuilder`
See Also:
  W3C HTML Specification

#### cellSpacing

    public TableBuilder cellSpacing(int cellSpacing)

Description copied from interface: `TableBuilder`
Specifies the horizontal and vertical separation between cells.

Specified by:
  `cellSpacing` in interface `TableBuilder`
See Also:
  W3C HTML Specification

#### frame

    public TableBuilder frame(java.lang.String frame)

Description copied from interface: `TableBuilder`
Specifies which external table borders to render.

Specified by:
  `frame` in interface `TableBuilder`
See Also:
  W3C HTML Specification

#### html

    public TableBuilder html(SafeHtml html)

Description copied from interface: `ElementBuilderBase`
Append html within the node.

Once you append HTML to the element, you can no longer set attributes.

Specified by:
  `html` in interface `ElementBuilderBase<TableBuilder>`
Overrides:
  `html` in class `AbstractElementBuilderBase<TableBuilder>`
Parameters:
  `html` - the HTML to append
Returns:
  this builder

#### rules

    public TableBuilder rules(java.lang.String rules)

Description copied from interface: `TableBuilder`
Specifies which internal table borders to render.

Specified by:
  `rules` in interface `TableBuilder`
See Also:
  W3C HTML Specification

#### text

    public TableBuilder text(java.lang.String text)

Description copied from interface: `ElementBuilderBase`
Append text within the node.

Once you append text to the element, you can no longer set attributes.

A string-based implementation will escape the text to prevent HTML/javascript code from executing. DOM based implementations are not required to escape the text if they directly set the innerText of an element.

Specified by:
  `text` in interface `ElementBuilderBase<TableBuilder>`
Overrides:
  `text` in class `AbstractElementBuilderBase<TableBuilder>`
Parameters:
  `text` - the text to append
Returns:
  this builder

#### width

    public TableBuilder width(java.lang.String width)

Description copied from interface: `TableBuilder`
Specifies the desired table width.

Specified by:
  `width` in interface `TableBuilder`
See Also:
  W3C HTML Specification